%define	major		1
%define	libname	 	%mklibname %name %major
%define develname	%mklibname %name -d

# comment out if not pre-rel
#define beta rc3

# rel to bump
%define rel 1

Name:		speexdsp
Summary:	An open-source, patent-free speech codec
Version:	1.2.1
Release:	%mkrel %{?beta:0.%beta.}%{rel}
License:	BSD
Group:		Sound/Utilities
URL:		https://www.speex.org/
Source0:	https://downloads.xiph.org/releases/speex/%{name}-%{version}%{?beta}.tar.gz

%description
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrow-band
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

%package -n	%{libname}
Summary:	Shared library of the Speex DSP
Group:		System/Libraries

%description -n	%{libname}
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrow-band
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

This package contains the shared library required for running
applications based on Speex DSP.

%package -n	%develname
Summary:	Speex DSP development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%develname
Speex DSP development files.

%prep
%setup -q -n %{name}-%{version}%{?beta}
%autopatch -p1

%build
export CFLAGS='%optflags -DRELEASE'
%configure \
%ifarch aarch64
	--disable-neon \
%endif
	--disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_datadir}/doc/*/manual.pdf

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libspeexdsp.so.%{major}{,.*}

%files -n %develname
%doc doc/manual.pdf
%{_libdir}/libspeex*.so
%{_includedir}/speex
%{_libdir}/pkgconfig/speexdsp.pc


%changelog
* Mon Nov 21 2022 daviddavid <daviddavid> 1.2.1-1.mga9
+ Revision: 1909885
- new version: 1.2.1
- remove old Conflicts/Obsoletes

* Tue Mar 15 2022 umeabot <umeabot> 1.2.0-3.mga9
+ Revision: 1792599
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1526875
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jul 05 2019 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1418666
- new version: 1.2.0

* Sun Sep 23 2018 umeabot <umeabot> 1.2-0.rc3.6.mga7
+ Revision: 1301139
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.2-0.rc3.5.mga7
+ Revision: 1233902
- rebuild for aarch64

* Fri Mar 23 2018 wally <wally> 1.2-0.rc3.4.mga7
+ Revision: 1211451
- disable static build

* Wed Feb 17 2016 umeabot <umeabot> 1.2-0.rc3.3.mga6
+ Revision: 962892
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 daviddavid <daviddavid> 1.2-0.rc3.2.mga6
+ Revision: 898685
- add patch similar to what was already done upstream in speex but not dsp

* Mon Oct 12 2015 gw666 <gw666> 1.2-0.rc3.1.mga6
+ Revision: 889950
- imported package speexdsp

